package gui;

import java.awt.*;
import java.awt.event.*;
import gui.nodeTypes.*;
import util.*;

public class popupMenu extends PopupMenu {
  
  public popupMenu(ActionListener notify) {
    super();
    addActionListener(notify);
  }
  
  public void setCommands(list commands) {
    removeAll();
    while (!commands.isEmpty()) {
      String[] command = (String[])commands.head();
      for (int i = 0; i < command.length; i++) add(new MenuItem(command[i]));
      commands = commands.tail();
      if (!commands.isEmpty()) addSeparator();
    }
  }
  
}
  
