package util;

/** A very simple class loader whose loadClass method just calls
  * findSystemClass.
  * @see ClassLoader
  */
  
public class simpleClassLoader extends ClassLoader {

/** Trivial implementation of loadClass by just calling findSystemClass.
  * @see ClassLoader#findSystemClass
  * @exception java.lang.ClassNotFoundException if the desired class could
  *            not be found
  */
  public Class loadClass(String name, boolean resolve)
  throws ClassNotFoundException
    { return findSystemClass(name); }
    
}
    
