package applications.collages;

import java.awt.*;
import applications.*;

public class dot extends part {

  private point position;
  private double[] bounds = new double[4];
  
  public dot(double x, double y) {
    position = new point(x, y);
  }
  
  public void transform(transformation t) {
    t.transform(position);
  }
  
  public double[] bounds() {
    bounds[0] = position.x;
    bounds[1] = position.y;
    bounds[2] = position.x;
    bounds[3] = position.y;
    return bounds;
  }
  
  public point getPosition() { return position; }
  
  public Object clone() throws CloneNotSupportedException {
    dot result = (dot)super.clone(); 
    result.position = new point(position.x, position.y);
    return result;
  }

}
