package generators;

import terms.*;
import parsers.*;

/** A (possibly non-deterministic) device that input terms into output terms.
  */
public abstract class termModifier extends termGenerator {

/** Compute the output for a given term as input.
  * The resulting term can also be queried using <code>currentTerm()</code>.
  * It can be assumed that the argument term is not a <code>null</code> reference.
  */
  public abstract term apply(term t);
  
}
