package gui.nodeTypes;

import java.awt.*;
import java.util.*;
import algebras.*;
import gui.*;
import parsers.*;

public class algebraNode extends worksheetNode {

  private static int dist = radius/2;
  private static int [] iconX = { -dist, -dist, dist, dist };
  private static int [] iconY = { dist, -dist, dist, -dist };

  public algebraNode(algebra alg, String fileName) {
    super(alg, fileName);
    figureX = iconX;
    figureY = iconY;
  }
    
  public boolean acceptsSource(worksheetNode source) { return false; }
    
  public void ping() {
    obs.setChanged();
    obs.notifyObservers(edge.CHANGE);
  }
  
}
