package useless;

import terms.*;
import generators.*;
import util.*;

public class trivialTransducer2 extends termModifier {

  private term[][] output
    = { {new term(new symbol("(1,1)", 0)), new term(new symbol("(1,2)", 0))},
        {new term(new symbol("(2,1)", 0)), new term(new symbol("(2,2)", 0))} };
  private term currentTerm = null;
  private int currentPair = 0;
  private int nextIndex = 0;
  
  private static String toFirst = "switch to 1st pair";
  private static String toSecond = "switch to 2nd pair";
  
  public list commands() {
    list result = new list();
    String[] s = new String[1];
    result.append(s);
    s[0] = (currentPair == 0) ? toSecond : toFirst;
    return result;
  }
  
  public void execute(String command) {
    if (toFirst.equals(command) || toSecond.equals(command)) {
      currentPair = 1 - currentPair;
      currentTerm = output[currentPair][1 - nextIndex];
    }
  }
  
  public term currentTerm() { return currentTerm; }
  
  public term apply(term t) {
    currentTerm = output[currentPair][nextIndex];
    nextIndex = 1 - nextIndex;
    return currentTerm;
  }
  
}
