package util;

import java.util.*;

public class exitableThread extends Thread {

  private boolean exitRequested = false;

  public exitableThread(Runnable r) {
    super(r);
    setPriority(MIN_PRIORITY);
  }
  
  public synchronized void exitRequest(boolean b) {
    exitRequested = b;
  }
  
  public synchronized boolean exitRequested() {
    return exitRequested;
  }

}
